Bug 40315 - add moving average trend line (regression curve)
Summary: add moving average trend line (regression curve)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Tomaz Vajngerl
QA Contact:
URL:
Whiteboard: target:4.2.0 target:4.3.0
Keywords:
Depends on:
Blocks: 40317
  Show dependency treegraph
 
Reported: 2011-08-23 10:10 UTC by Laurent BP
Modified: 2014-01-27 22:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Proposed icon for moving average type of trend line (2.27 KB, image/bmp)
2013-07-04 21:03 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2011-08-23 10:10:16 UTC
Hello,

This is the continuation of OOo issue 66819:
Regression curves: new type "moving average" 
http://openoffice.org/bugzilla/show_bug.cgi?id=66819

Moving average would enhance compatibility with MS-Excel and Gnumeric. Some file format modifications are required as for bug 35712:
add polynomial regression type trend line
https://bugs.freedesktop.org/show_bug.cgi?id=35712

You can find on this last bug two documents presenting file format modification
and a draft for user interface.
Comment 1 Björn Michaelsen 2011-12-23 12:37:39 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Laurent BP 2011-12-26 13:26:37 UTC
Hello,

This enhancement has not been introduced in LibO 3.5.
Extension CorelPolyGUI (Improved trend lines) does not neither provide a solution:
http://extensions.libreoffice.org/extension-center/improved-trend-lines
Comment 3 Laurent BP 2012-02-15 00:56:40 UTC
Hello,

New version 1.4 of extension CorelPolyGUI now includes moving average trend line.
http://extensions.libreoffice.org/extension-center/improved-trend-lines/

But it is not integrated with other trend line, it is "just" an extension as a workaround for this issue.
Comment 4 ign_christian 2013-06-18 02:53:36 UTC
Could you please retest using LO 3.6.6 or 4.0.3 regarding some updates on extension stated in comment 3 ?
Comment 5 Laurent BP 2013-07-04 21:00:43 UTC
Hello Tomaž

Thanks a lot for your great job :)
I assigned you to this issue as job is done ;)

Here are some comments about Version: 4.2.0.0.alpha0+
Build ID: e703b429cf448deddc7682a33c3e6221889efe98

- UI: when increasing/decreasing Period, autoselect moving average type
- UI: icon for moving average. See regmean.bmp for instance even if it is quite dirty
Comment 6 Laurent BP 2013-07-04 21:03:16 UTC
Created attachment 82047 [details]
Proposed icon for moving average type of trend line

Quite dirty. Must be improved.
Comment 7 Commit Notification 2013-11-20 13:20:39 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e89b91efd69fca7150721cb7d86fc36110edd898

fdo#40315 Change png for moving average trendline



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-11-25 07:17:49 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=382ceea544b612b20946c8bf8a85e8abed7b4c60

fdo#40315 Improve UI for moving average trendline



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-11-30 22:34:16 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fee10725dbd62e78fd3ae14f0bd7872eabff3f9&h=libreoffice-4-2

fdo#40315 Improve UI for moving average trendline


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-12-10 16:31:06 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67db0ef92f1b8e5b6db9e6d6b8b02ba993f772cf

fdo#40315 Improve text for moving average trendline



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-12-10 17:05:27 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3df5f7c2848b4e71c18edfddeae254e24ee88384&h=libreoffice-4-2

fdo#40315 Improve text for moving average trendline


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.